Firefox - Forcer la compatibilité des modules complémentaires

Septembre 2016



Vous utilisez une version de Firefox incompatible avec l'un de vos modules complémentaires (aussi appelés plug-in, add-on ou encore extension), ce qui peut notamment se produire à l'utilisation d'une version bêta, alpha ou nightly de Firefox.

/!\ Avertissement /!\


L'auteur de ces lignes n'a pas rencontré de problème à l'utilisation de cette astuce. Cependant, par précaution et parce que cela pourrait de toute façon vous être utile un jour, vous devriez faire une sauvegarde de votre profile avec l'excellent MozBackUp ou en le faisant manuellement.

Désactiver la vérification de compatibilité


Si les changements entre la version de Firefox pour laquelle le module complémentaire a été crée et votre version de Firefox ne concernent pas le domaine d'action du module complémentaire, il peut être possible de le faire tout de même fonctionner.

Pour ce faire, il faut désactiver la vérification de compatibilité des modules complémentaires:
  • Dans la barre d'adresse, taper: about:config > Valider. Une liste s'affiche alors:
  • Clic droit > Nouvelle > valeur booléenne
  • Entrer le nom d'option: extensions.checkCompatibility
  • Choisir la valeur (true, vrai ou false, faux), dans notre cas: false
  • Redémarrer Firefox.

Il est possible de réactiver cette vérification en choisissant la valeur true.

Firefox ne marche pas correctement après cette manipulation


Suite à cette modification, un ou plusieurs modules complémentaires font planter le navigateur.

Démarrer Firefox en mode sans échec:
Si jamais votre profile avait été altéré, restaurez-le via MozBackUp ou manuellement.

Vous pouvez essayer de trouver quel module pose problème en les désactivant tous, puis en les réactivant un par un jusqu'à ce que Firefox plante à nouveau. Désactivez le module fautif.

solution de compatibilité pour la version 5 (et plus) de Firefox


Depuis la version 4 de Firefox, les extensions ne sont pas focément mises à jour et sont donc incompatibles. Cela dit, la plupart fonctionnent très bien (exemple : barre d'outils Google)
Pour ce faire, il vous suffit simplement d'installer l'extension Addon Compatibility Reporter.
/!\ Toute fois, certaines extensions peuvent ne pas fonctionner correctement, voir pas du tout et\ou éventuellement, causer des conflit avec les autres extensions installées ! /!\

A voir également :

Ce document intitulé «  Firefox - Forcer la compatibilité des modules complémentaires  » issu de CommentCaMarche (www.commentcamarche.net) est mis à disposition sous les termes de la licence Creative Commons. Vous pouvez copier, modifier des copies de cette page, dans les conditions fixées par la licence, tant que cette note apparaît clairement.